## org.apache.maven.embedder
Class SummaryPluginDescriptor

    java.lang.Object
      org.apache.maven.embedder.SummaryPluginDescriptor

    public class SummaryPluginDescriptor

extends java.lang.Object

Version:
  $Id: SummaryPluginDescriptor.java 292750 2005-09-30 14:33:10Z jdcasey $
Author:
  Jason van Zyl

Constructor Summary
`SummaryPluginDescriptor(java.lang.String groupId, java.lang.String artifactId, java.lang.String name)`

Method Summary
`java.lang.String` `getArtifactId()`
`java.lang.String` `getGroupId()`
`java.lang.String` `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SummaryPluginDescriptor

    public SummaryPluginDescriptor(java.lang.String groupId,
                                   java.lang.String artifactId,
                                   java.lang.String name)

Method Detail

### getGroupId

    public java.lang.String getGroupId()

### getArtifactId

    public java.lang.String getArtifactId()

### getName

    public java.lang.String getName()

Copyright © 2011. All Rights Reserved.